%define name lpr
%define version 0.72
%define release 1

Summary: A utility that manages print jobs.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Servers
Packager: linuxkid <linux@peanutlinux.org>
Source: http://sourceforge.net/projects/lpr/%{name}-%{version}.tar.bz2
Source1: lpd.startup.bz2
URL: http://lpr.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
Patch: %{name}-makefile.patch.bz2

%description 
The lpr package provides a basic system utility for
managing printing services.  Lpr manages print queues, sends print
jobs to local and remote printers and accepts print jobs from remote
clients.

If you will be printing from your system, you will need to install
either the lpr or the cups package.

This package contains the new GNU-lpr which allows passing
printer/driver-specific options along with the job ("-o" command line
option).
Add to /etc/rc.d/rc.M:

> # Start lpd daemon:
if [ -x /usr/sbin/lpd ]; then 
echo "Starting printer daemon: lpd" 
/usr/sbin/lpd 
fi 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#patch -p 1
# Do not make printer names lower-case before searching them in
# /etc/printcap
perl -p -i -e "s!strtolower!//strtolower!" lpr/lpr.c
# Modified startup file with various system checks
bzcat %{SOURCE1} > lpd.startup

%build
%ifarch alpha
# we shouldn't need this with more recent glibc's, but lpq kills remote
# lpd w/o it
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Dgetline=get_line"
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man5,man8}

%ifarch alpha
# we shouldn't need this with more recent glibc's, but lpq kills remote
# lpd w/o it and there seems to be a mistake in lpr's makefiles somewhere
#export MANDIR=$RPM_BUILD_ROOT%{_mandir}
export MANDIR=%{_mandir}
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Dgetline=get_line" DESTDIR=$RPM_BUILD_ROOT install
%else
#make DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir} install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} install
%endif

mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m755 lpd.startup $RPM_BUILD_ROOT/etc/init.d/rc.lpd
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d && ln -sf ../../init.d/rc.lpd Klpd.sh
cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d && ln -sf ../../init.d/rc.lpd Slpd.sh

# prepare the commands conflicting with CUPS for the update-alternatives
# treatment
( cd $RPM_BUILD_ROOT%{_bindir}
  mv lpr lpr-lpd
  mv lpq lpq-lpd
  mv lprm lprm-lpd
)
( cd $RPM_BUILD_ROOT%{_sbindir}
  mv lpc lpc-lpd
)
( cd $RPM_BUILD_ROOT/%{_mandir}/man1
  mv lpr.1 lpr-lpd.1
  mv lpq.1 lpq-lpd.1
  mv lprm.1 lprm-lpd.1
)
( cd $RPM_BUILD_ROOT/%{_mandir}/man8
  mv lpc.8 lpc-lpd.8
)

mkdir -p $RPM_BUILD_ROOT/var/spool/lpd

# Suppress automatic replacement of "echo" by "gprintf" in the LPD
# startup script by RPM. This automatic replacement is broken.
export DONT_GPRINTIFY=1

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(6555,root,lp) %{_bindir}/lpq-lpd
%attr(6555,root,lp) %{_bindir}/lpr-lpd
%attr(6555,root,lp) %{_bindir}/lprm-lpd
%{_bindir}/lptest
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%attr(2755,root,lp) %{_sbindir}/lpc-lpd
%{_sbindir}/lpd
%{_sbindir}/lpf
%{_sbindir}/pac
# This directory is defined by the FHS therefore it is already there
%attr(0775,root,daemon) /var/spool/lpd
